#

Macro DECLAIM

Syntax:

declaim declaration-specifier* => implementation-dependent

Arguments and Values:

declaration-specifier---a declaration specifier; not evaluated.

Description:

Establishes the declarations specified by the declaration-specifiers.

If a use of this macro appears as a top level form in a file being processed by the file compiler, the proclamations are also made at compile-time. As with other defining macros, it is unspecified whether or not the compile-time side-effects of a declaim persist after the file has been compiled.

Examples:

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

declare, proclaim

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- PROCLAIM-ETC-IN-COMPILE-FILE:NEW-MACRO

Copyright 1996-2005, LispWorks Ltd. All rights reserved.